Skip to main content
POST
Create a contract for a service

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
serviceId
number
必須

ボディ

application/json
name
string
必須
:

"Monthly Contract"

dueDate
string
必須
:

"2023-01-01T00:00:00.000Z"

repeatUnit
enum<string>
必須
利用可能なオプション:
months,
years
:

"months"

repeatValue
number
必須
:

1

workspaceId
number | null
:

12345678

peopleIds
string[]
:
note
string
:

"Contract notes"

レスポンス

201 - application/json
id
number
必須
read-only
:

1

name
string
必須
read-only
:

"Monthly Contract"

serviceId
number
必須
read-only
:

123

serviceName
string
必須
read-only
:

"GitHub"

workspaceId
number | null
必須
read-only
:

456

workspaceName
string | null
必須
read-only
:

"Production Workspace"

dueDate
string<date-time>
必須
read-only
:

"2023-01-01T00:00:00.000Z"

nextDueDate
string<date-time> | null
必須
read-only
:

"2023-02-01T00:00:00.000Z"

note
string | null
必須
read-only
:

"Contract notes"

最終更新日 2026年8月14日